<section class="P-call-block">

  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8 P-table-block">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> Id.</th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>

    <ng-container matColumnDef="title">
      <th mat-header-cell *matHeaderCellDef> Title</th>
      <td mat-cell *matCellDef="let element"> {{element.title}} </td>
    </ng-container>

    <ng-container matColumnDef="artist">
      <th mat-header-cell *matHeaderCellDef> Artist</th>
      <td mat-cell *matCellDef="let element"> {{element.artist}} </td>
    </ng-container>

    <ng-container matColumnDef="audio">
      <th mat-header-cell *matHeaderCellDef> Symbol</th>
      <td mat-cell *matCellDef="let element">
<span class="P-play-pause " (click)="startPlay(element, audioEl)">
    <img src="assets/images/play-button-svgrepo-com.svg" [class.d_none]="pause && (element.id == playId)" alt="">
    <img class="P-pause" src="assets/images/pause-svgrepo-com.svg" [class.P-active]="pause && (element.id == playId)" alt="">
</span>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>


  <div class="P-audio-block" [class.P-visiblity]="!isPlaying">
    <audio [src]="audioUrl" controls #audioEl controlsList="nodownload"></audio>
    <span class="G-cp" (click)="closeAudio()">
      <img src="assets/images/close.svg">
    </span>
  </div>

</section>
